// This file is released under the 3-clause BSD license. See COPYING-BSD.
function buildmacros()
  macros_path = get_absolute_file_path("buildmacros.sce");
  tbx_build_macros(TOOLBOX_NAME+"_S_", macros_path);
  lib(macros_path);
  blocks = [
            "ISCOPE"
            "IREP_TEMP"
            "CEAS_PredefCurrent"
            "CEAS_PredefVoltage"
            "SIMM_PWM"
            "SIMM_Q1driver"
            "SIMM_Q2driver"
            "SIMM_Q4driver"
            "SIMM_POSITIV"
            "SIMM_IdealGearGen"
            "SIMM_IdealR2TGen"
            ]
  tbx_build_blocks(toolbox_dir, blocks, macros_path);
endfunction

// Load Utils
//getd(get_absolute_file_path("buildmacros.sce")+filesep()+"Utils");

buildmacros();
clear buildmacros; // remove buildmacros on stack
